Bug 711346 - SELinux is preventing /usr/bin/python from using the 'dac_override' capabilities.
Summary: SELinux is preventing /usr/bin/python from using the 'dac_override' capabilit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:04a8825cb8b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-07 09:35 UTC by Lukas Bezdicka
Modified: 2011-06-24 03:54 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-30.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:54:20 UTC


Attachments (Terms of Use)

Description Lukas Bezdicka 2011-06-07 09:35:32 UTC
SELinux is preventing /usr/bin/python from using the 'dac_override' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests  ***********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it, 
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests  ***************************

If you believe that python should have the dac_override capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep paster /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:piranha_web_t:s0
Target Context                system_u:system_r:piranha_web_t:s0
Target Objects                Unknown [ capability ]
Source                        paster
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.1-7.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-26.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-27.fc15.i686.PAE #1 SMP Sun
                              May 15 17:39:47 UTC 2011 i686 i686
Alert Count                   5
First Seen                    Mon 06 Jun 2011 10:46:05 PM CEST
Last Seen                     Tue 07 Jun 2011 08:47:36 AM CEST
Local ID                      3ac2263b-0b01-463a-87d3-b6192e82ee0b

Raw Audit Messages
type=AVC msg=audit(1307429256.849:2996): avc:  denied  { dac_override } for  pid=28108 comm="paster" capability=1  scontext=system_u:system_r:piranha_web_t:s0 tcontext=system_u:system_r:piranha_web_t:s0 tclass=capability


type=SYSCALL msg=audit(1307429256.849:2996): arch=i386 syscall=unlink success=yes exit=0 a0=9e18778 a1=0 a2=4f5766cc a3=9baa050 items=0 ppid=28097 pid=28108 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=paster exe=/usr/bin/python subj=system_u:system_r:piranha_web_t:s0 key=(null)

Hash: paster,piranha_web_t,piranha_web_t,capability,dac_override

audit2allow

#============= piranha_web_t ==============
allow piranha_web_t self:capability dac_override;

audit2allow -R

#============= piranha_web_t ==============
allow piranha_web_t self:capability dac_override;

Comment 1 Miroslav Grepl 2011-06-07 11:21:22 UTC
Could you turn on full auditing

# auditctl -w /etc/shadow -p w

Try to recreate AVC. Then execute

# ausearch -m avc -ts recent

Comment 2 Miroslav Grepl 2011-06-07 11:21:56 UTC
Fixed in selinux-policy-3.9.16-29.fc15

Comment 3 Lukas Bezdicka 2011-06-07 18:50:29 UTC
Do you still need me to turn on full auditing or you already fixed it? I can't find the package in repos nor koji yet:(

Comment 4 Daniel Walsh 2011-06-10 03:07:59 UTC
I am sure he will be building it soon.

Comment 5 Fedora Update System 2011-06-10 10:49:59 UTC
selinux-policy-3.9.16-29.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15

Comment 6 Fedora Update System 2011-06-11 04:29:16 UTC
Package selinux-policy-3.9.16-29.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-29.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-29.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-21 17:31:06 UTC
Package selinux-policy-3.9.16-30.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-30.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-30.fc15
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-06-24 03:52:44 UTC
selinux-policy-3.9.16-30.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.